package cn.axzo.msg.center.service.enums;

import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * @author yanglin
 */
@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum CardState implements CodeDefinition<String> {

    CREATED("待处理"),
    COMPLETED("已完成"),

    ;

    private final String name;


    @Override
    public String getCode() {
        return name();
    }

}